Name:           a2jmidid
Version:        9
Release:        %mkrel 1
Summary:        ALSA to JACK midi bridge
Group:          Sound
License:        GPLv2 and GPLv2+
URL:            https://github.com/linuxaudio/a2jmidid
Source:         https://github.com/linuxaudio/a2jmidid/archive/%{version}/%{name}-%{version}.tar.xz
# Backported from upstream
Patch0:         %{name}-man.patch
Patch1:         %{name}-portname.patch
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  meson
BuildRequires:  gcc

Requires:       python3

%description
a2jmidid is a daemon for exposing legacy ALSA sequencer applications in JACK
MIDI system.

%prep
%setup -q
%apply_patches

# Fix Python shebangs
sed -i 's|^#!/usr/bin/env python3|#!/usr/bin/python3|' a2j_control

%build
%meson
%meson_build

%install
%meson_install

%files
%{_bindir}/a2j
%{_bindir}/a2j_control
%{_bindir}/a2jmidid
%{_bindir}/a2jmidi_bridge
%{_bindir}/j2amidi_bridge
%{_datadir}/dbus-1/services/org.gna.home.a2jmidid.service
%{_mandir}/man1/a2jmidid.1*
%{_mandir}/man1/a2jmidi_bridge.1*
%{_mandir}/man1/j2amidi_bridge.1*
%{_mandir}/man1/a2j.1*
%{_mandir}/man1/a2j_control.1*


%changelog
* Sat Nov 28 2020 tex - 9-1pclos2020
- import pkg
